org.apache.lucene.bkdtree

## Class BKDPointField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.bkdtree.BKDPointField

- All Implemented Interfaces:
    IndexableField

  Deprecated.
  Use dimensional values in Lucene 6.0 instead

      @Deprecated
      public final class BKDPointField
      extends Field

  Add this to a document to index lat/lon point, but be sure to use `BKDTreeDocValuesFormat` for the field.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldType` | `TYPE` Deprecated.

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKDPointField(String name, double lat, double lon)` Deprecated. Creates a new BKDPointField field with the specified lat and lon

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FieldType TYPE

      Deprecated.

  - ### Constructor Detail

    - #### BKDPointField

          public BKDPointField(String name,
                       double lat,
                       double lon)

      Deprecated.
      Creates a new BKDPointField field with the specified lat and lon
      Parameters:
        `name` - field name
        `lat` - double latitude
        `lon` - double longitude
      Throws:
        `IllegalArgumentException` - if the field name is null or lat or lon are out of bounds

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.